A T S inbox
Update a new hire in the ATS inbox
Path Parameters
external_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/public/v3/recruitment/inbound_applicants/string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": 0, "external_id": "string", "provider": "string", "first_name": "string", "last_name": "string", "job_title": "string", "starts_at": "2019-08-24T14:15:22Z", "division_id": 0, "document_folder_id": 0, "salary": { "currency_code": "string", "effective_on": "2019-08-24", "amount": "string", "per": "hour", "pay_schedule_id": 0 }, "compensation": { "currency_code": "string", "type": "fixed", "compensation_type_id": 0, "starts_on": "2019-08-24", "amount": "string" }, "resume": { "id": 0, "filename": "string", "url": "string" }, "attachments": [ { "id": 0, "filename": "string", "url": "string" } ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "middle_name": "string", "email": "string", "personal_email": "string", "hired_on": "2019-08-24", "mobile_number": "string", "work_phone_number": "string", "date_of_birth": "2019-08-24", "linkedin_url": "string", "facebook_url": "string", "slack_username": "string", "twitter_username": "string", "gender_id": 0, "employment_type_id": 0, "working_pattern_id": 0, "position_id": 0, "department_id": 0, "location_id": 0, "seniority_id": 0, "job_profile_id": 0, "legal_entity_id": 0, "reporting_to_user_id": 0 }}